{"items":[{"type":"link","label":"Intercom API","link":"/docs/references/rest-api/api.intercom.io","routeSlug":"/docs/references/rest-api/api.intercom.io","content":{"contentType":"overview","meta":{"name":"Intercom API"},"children":[{"nodeType":"container","panels":[{"title":"Download OpenAPI description","titleTranslationKey":"download.description.title","children":[{"kind":"download","label":"api.intercom.io.json","url":"/_bundle/docs/references/@2.18/rest-api/api.intercom.io.json?download"},{"kind":"download","label":"api.intercom.io.yaml","url":"/_bundle/docs/references/@2.18/rest-api/api.intercom.io.yaml?download"}]},{"title":"Overview","titleTranslationKey":"info.title","children":[{"kind":"externallink","title":"URL","titleTranslationKey":"info.contact.url","label":"https://developers.intercom.com","url":"https://developers.intercom.com"},{"kind":"externallink","title":"License","titleTranslationKey":"info.license","label":"MIT","url":"https://spdx.org/licenses/MIT"}]},{"title":"Languages","titleTranslationKey":"languages.title","children":[{"kind":"languages","options":[{"key":"curl","title":"curl","lang":"curl"},{"key":"node","title":"Node.js","lang":"Node.js"},{"key":"ruby","title":"Ruby","lang":"Ruby"},{"key":"php","title":"PHP","lang":"PHP"},{"key":"python","title":"Python","lang":"Python"},{"key":"java","title":"Java","lang":"Java"},{"key":"go","title":"Go","lang":"Go"},{"key":"csharp","title":"C#","lang":"C#"},{"key":"r","title":"R","lang":"R"}]}]},{"title":"Servers","titleTranslationKey":"servers.title","children":[{"kind":"servers","servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"mode":"default"}]}],"children":[{"nodeType":"overview-section-wrapper","children":[{"nodeType":"header","level":1,"label":"Intercom API (2.18)","showPageActions":true},{"nodeType":"overview-section-wrapper","children":[{"nodeType":"markdoc","content":"The intercom API reference."}],"sectionId":"/docs/references/rest-api/api.intercom.io"}],"sectionId":"/docs/references/rest-api/api.intercom.io"}]}]}},{"type":"group","label":"Admins","link":"/docs/references/rest-api/api.intercom.io/admins","routeSlug":"/docs/references/rest-api/api.intercom.io/admins","items":[{"label":"Identify an admin","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/references/rest-api/api.intercom.io/admins/identifyadmin","routeSlug":"/docs/references/rest-api/api.intercom.io/admins/identifyadmin","metadata":{"seo":{"title":"Identify an admin","description":"You can view the currently authorised admin along with the embedded app object (a \"workspace\" in legacy terminology)."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"identifyAdmin","name":"Identify an admin","isWebhook":false,"pointer":"/paths/~1me/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Identify an admin","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"You can view the currently authorised admin along with the embedded app object (a \"workspace\" in legacy terminology)."},"children":[]}]}]},{"$$mdtype":"Node","type":"blockquote","attributes":{},"children":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"🚧 Single Sign On"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"If you are building a custom \"Log in with Intercom\" flow for your site, and you call the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"/me"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" endpoint to identify the logged-in user, you should not accept any sign-ins from users with unverified email addresses as it poses a potential impersonation security risk."},"children":[]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Requires the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"read_single_admin"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" or "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"read_admins"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" OAuth scope."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"Intercom-Version","in":"header","schemaId":"schema_1149"}],"pointer":"/paths/~1me/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/me","servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[{"name":"Intercom-Version","in":"header","example":"2.18","schemaId":"components/schemas/intercom_version"}],"cookie":[]},"security":[{"schemes":[{"id":"bearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"responseCodes":["200","401","404"],"pointer":"/me","href":"admins/identifyadmin","openApiOperationId":"identifyAdmin","summary":"Identify an admin"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successful response","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/admin_with_app","exampleIds":["paths/~1me/get/responses/200/content/application~1json/examples/Successful response"]}},"schemaId":"components/schemas/admin_with_app","exampleIds":["paths/~1me/get/responses/200/content/application~1json/examples/Successful response"]},{"code":"401","description":"Unauthorized","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1me/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1me/get/responses/401/content/application~1json/examples/Token lacks required scope"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1me/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1me/get/responses/401/content/application~1json/examples/Token lacks required scope"]},{"code":"404","description":"Admin not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1me/get/responses/404/content/application~1json/examples/Admin not found"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1me/get/responses/404/content/application~1json/examples/Admin not found"]}],"pointer":"/paths/~1me/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/admin_with_app","exampleIds":["paths/~1me/get/responses/200/content/application~1json/examples/Successful response"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/admin_with_app","exampleIds":["paths/~1me/get/responses/200/content/application~1json/examples/Successful response"]}}},{"code":"401","schemaId":"components/schemas/error","exampleIds":["paths/~1me/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1me/get/responses/401/content/application~1json/examples/Token lacks required scope"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1me/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1me/get/responses/401/content/application~1json/examples/Token lacks required scope"]}}},{"code":"404","schemaId":"components/schemas/error","exampleIds":["paths/~1me/get/responses/404/content/application~1json/examples/Admin not found"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1me/get/responses/404/content/application~1json/examples/Admin not found"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/admins/identifyadmin"}],"panels":[]}]},"httpPath":"/me"},{"label":"Set an admin to away","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/references/rest-api/api.intercom.io/admins/setawayadmin","routeSlug":"/docs/references/rest-api/api.intercom.io/admins/setawayadmin","metadata":{"seo":{"title":"Set an admin to away","description":"You can set an Admin as away for the Inbox."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"setAwayAdmin","name":"Set an admin to away","isWebhook":false,"pointer":"/paths/~1admins~1{admin_id}~1away/put","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Set an admin to away","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"You can set an Admin as away for the Inbox."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"When "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"away_mode_reassign"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" is "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"true"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", the request can return a "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"403"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" if the teammate does not have Inbox access."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Requires the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"update_admins"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" OAuth scope."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"admin_id","in":"path","schemaId":"schema_1150","description":"The unique identifier of a given admin","required":true}],"pointer":"/paths/~1admins~1{admin_id}~1away/put/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"Intercom-Version","in":"header","schemaId":"schema_1149"}],"pointer":"/paths/~1admins~1{admin_id}~1away/put/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"schema_1151","exampleIds":["paths/~1admins~1{admin_id}~1away/put/requestBody/content/application~1json/examples/successful_response","paths/~1admins~1{admin_id}~1away/put/requestBody/content/application~1json/examples/admin_not_found","paths/~1admins~1{admin_id}~1away/put/requestBody/content/application~1json/examples/unauthorized"]}},"schemaId":"schema_1151","exampleIds":["paths/~1admins~1{admin_id}~1away/put/requestBody/content/application~1json/examples/successful_response","paths/~1admins~1{admin_id}~1away/put/requestBody/content/application~1json/examples/admin_not_found","paths/~1admins~1{admin_id}~1away/put/requestBody/content/application~1json/examples/unauthorized"],"pointer":"/paths/~1admins~1{admin_id}~1away/put/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PUT","path":"/admins/{admin_id}/away","servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"parameters":{"path":[{"name":"admin_id","in":"path","required":true,"schemaId":"schema_1150"}],"query":[],"querystring":[],"header":[{"name":"Intercom-Version","in":"header","example":"2.18","schemaId":"components/schemas/intercom_version"}],"cookie":[]},"security":[{"schemes":[{"id":"bearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"schema_1151","exampleIds":["paths/~1admins~1{admin_id}~1away/put/requestBody/content/application~1json/examples/successful_response","paths/~1admins~1{admin_id}~1away/put/requestBody/content/application~1json/examples/admin_not_found","paths/~1admins~1{admin_id}~1away/put/requestBody/content/application~1json/examples/unauthorized"]}},"responseCodes":["200","400","401","403","404","405"],"pointer":"/admins/{admin_id}/away","href":"admins/setawayadmin","openApiOperationId":"setAwayAdmin","summary":"Set an admin to away"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"schemaId":"schema_1151","exampleIds":["paths/~1admins~1{admin_id}~1away/put/requestBody/content/application~1json/examples/successful_response","paths/~1admins~1{admin_id}~1away/put/requestBody/content/application~1json/examples/admin_not_found","paths/~1admins~1{admin_id}~1away/put/requestBody/content/application~1json/examples/unauthorized"],"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"schema_1151","exampleIds":["paths/~1admins~1{admin_id}~1away/put/requestBody/content/application~1json/examples/successful_response","paths/~1admins~1{admin_id}~1away/put/requestBody/content/application~1json/examples/admin_not_found","paths/~1admins~1{admin_id}~1away/put/requestBody/content/application~1json/examples/unauthorized"]}},"examples":[{},{},{}]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successful response","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/admin","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/200/content/application~1json/examples/Successful response"]}},"schemaId":"components/schemas/admin","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/200/content/application~1json/examples/Successful response"]},{"code":"400","description":"Bad Request","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/parameter_invalid","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_status_reason_not_found","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_status_reason_mandatory","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_status_reason_not_allowed","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_mode_reassign_required","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_mode_reassign_not_allowed","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_mode_enabled_missing"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/parameter_invalid","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_status_reason_not_found","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_status_reason_mandatory","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_status_reason_not_allowed","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_mode_reassign_required","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_mode_reassign_not_allowed","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_mode_enabled_missing"]},{"code":"401","description":"Unauthorized","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1{admin_id}~1away/put/responses/401/content/application~1json/examples/Token lacks required scope"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1{admin_id}~1away/put/responses/401/content/application~1json/examples/Token lacks required scope"]},{"code":"403","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Forbidden. Can be returned when "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"away_mode_reassign"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" is "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"true"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and the admin does not have Inbox access for the workspace."},"children":[]}]}]}],"mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/403/content/application~1json/examples/Admin without Inbox access"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/403/content/application~1json/examples/Admin without Inbox access"]},{"code":"404","description":"Admin not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/404/content/application~1json/examples/Admin not found"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/404/content/application~1json/examples/Admin not found"]},{"code":"405","description":"Method Not Allowed","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/405/content/application~1json/examples/Admin is a bot"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/405/content/application~1json/examples/Admin is a bot"]}],"pointer":"/paths/~1admins~1{admin_id}~1away/put/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/admin","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/200/content/application~1json/examples/Successful response"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/admin","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/200/content/application~1json/examples/Successful response"]}}},{"code":"400","schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/parameter_invalid","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_status_reason_not_found","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_status_reason_mandatory","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_status_reason_not_allowed","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_mode_reassign_required","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_mode_reassign_not_allowed","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_mode_enabled_missing"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/parameter_invalid","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_status_reason_not_found","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_status_reason_mandatory","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_status_reason_not_allowed","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_mode_reassign_required","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_mode_reassign_not_allowed","paths/~1admins~1{admin_id}~1away/put/responses/400/content/application~1json/examples/away_mode_enabled_missing"]}}},{"code":"401","schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1{admin_id}~1away/put/responses/401/content/application~1json/examples/Token lacks required scope"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1{admin_id}~1away/put/responses/401/content/application~1json/examples/Token lacks required scope"]}}},{"code":"403","schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/403/content/application~1json/examples/Admin without Inbox access"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/403/content/application~1json/examples/Admin without Inbox access"]}}},{"code":"404","schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/404/content/application~1json/examples/Admin not found"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/404/content/application~1json/examples/Admin not found"]}}},{"code":"405","schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/405/content/application~1json/examples/Admin is a bot"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}~1away/put/responses/405/content/application~1json/examples/Admin is a bot"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/admins/setawayadmin"}],"panels":[]}]},"httpPath":"/admins/{admin_id}/away"},{"label":"List all activity logs","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/references/rest-api/api.intercom.io/admins/listactivitylogs","routeSlug":"/docs/references/rest-api/api.intercom.io/admins/listactivitylogs","metadata":{"seo":{"title":"List all activity logs","description":"You can get a log of activities by all admins in an app."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"listActivityLogs","name":"List all activity logs","isWebhook":false,"pointer":"/paths/~1admins~1activity_logs/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"List all activity logs","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"You can get a log of activities by all admins in an app."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Requires the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"read_admins"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" OAuth scope."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"created_at_after","in":"query","schemaId":"schema_1152","description":"The start date that you request data for. It must be formatted as a UNIX timestamp. If you leave it out, it defaults to 30 days before the request.","example":"1677253093"},{"name":"created_at_before","in":"query","schemaId":"schema_1152","description":"The end date that you request data for. It must be formatted as a UNIX timestamp. If you leave it out, it defaults to the time of the request.","example":"1677861493"},{"name":"page","in":"query","schemaId":"schema_1153","description":"The page number of results to return. Defaults to the first page.","example":1},{"name":"per_page","in":"query","schemaId":"schema_1154","description":"The number of results per page. Must be between 1 and 250.","example":20}],"pointer":"/paths/~1admins~1activity_logs/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"Intercom-Version","in":"header","schemaId":"schema_1149"}],"pointer":"/paths/~1admins~1activity_logs/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/admins/activity_logs","servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"parameters":{"path":[],"query":[{"name":"created_at_after","in":"query","required":false,"example":"1677253093","schemaId":"schema_1152"},{"name":"created_at_before","in":"query","required":false,"example":"1677861493","schemaId":"schema_1152"},{"name":"page","in":"query","required":false,"example":1,"schemaId":"schema_1153"},{"name":"per_page","in":"query","required":false,"example":20,"schemaId":"schema_1154"}],"querystring":[],"header":[{"name":"Intercom-Version","in":"header","example":"2.18","schemaId":"components/schemas/intercom_version"}],"cookie":[]},"security":[{"schemes":[{"id":"bearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"responseCodes":["200","400","401"],"pointer":"/admins/activity_logs","href":"admins/listactivitylogs","openApiOperationId":"listActivityLogs","summary":"List all activity logs"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successful response","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/activity_log_list","exampleIds":["paths/~1admins~1activity_logs/get/responses/200/content/application~1json/examples/Successful response"]}},"schemaId":"components/schemas/activity_log_list","exampleIds":["paths/~1admins~1activity_logs/get/responses/200/content/application~1json/examples/Successful response"]},{"code":"400","description":"Bad Request","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_logs/get/responses/400/content/application~1json/examples/event_types not supported","paths/~1admins~1activity_logs/get/responses/400/content/application~1json/examples/per_page above 250"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_logs/get/responses/400/content/application~1json/examples/event_types not supported","paths/~1admins~1activity_logs/get/responses/400/content/application~1json/examples/per_page above 250"]},{"code":"401","description":"Unauthorized","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_logs/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1activity_logs/get/responses/401/content/application~1json/examples/Token lacks required scope"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_logs/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1activity_logs/get/responses/401/content/application~1json/examples/Token lacks required scope"]}],"pointer":"/paths/~1admins~1activity_logs/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/activity_log_list","exampleIds":["paths/~1admins~1activity_logs/get/responses/200/content/application~1json/examples/Successful response"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/activity_log_list","exampleIds":["paths/~1admins~1activity_logs/get/responses/200/content/application~1json/examples/Successful response"]}}},{"code":"400","schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_logs/get/responses/400/content/application~1json/examples/event_types not supported","paths/~1admins~1activity_logs/get/responses/400/content/application~1json/examples/per_page above 250"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_logs/get/responses/400/content/application~1json/examples/event_types not supported","paths/~1admins~1activity_logs/get/responses/400/content/application~1json/examples/per_page above 250"]}}},{"code":"401","schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_logs/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1activity_logs/get/responses/401/content/application~1json/examples/Token lacks required scope"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_logs/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1activity_logs/get/responses/401/content/application~1json/examples/Token lacks required scope"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/admins/listactivitylogs"}],"panels":[]}]},"httpPath":"/admins/activity_logs"},{"label":"Search activity logs","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/references/rest-api/api.intercom.io/admins/searchactivitylogs","routeSlug":"/docs/references/rest-api/api.intercom.io/admins/searchactivitylogs","metadata":{"seo":{"title":"Search activity logs","description":"Search and filter admin activity logs using a POST request with event type filter in the request body. You can find more details about the available event types in the List all activity log event types endpoint."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"searchActivityLogs","name":"Search activity logs","isWebhook":false,"pointer":"/paths/~1admins~1activity_logs~1search/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Search activity logs","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Search and filter admin activity logs using a POST request with event type filter in the request body. You can find more details about the available event types in the List all activity log event types endpoint."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Results are paginated by page number. Use "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"page"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"per_page"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" in the request body to choose a page. The "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"next"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" link in the response is a URL that keeps the query string of the request URL and sets "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"page"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"per_page"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" for the next page. It does not include the filters from your request body. To fetch the next page, send a POST request with the same request body to that URL. Query parameters in the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"next"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" URL take precedence over "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"page"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"per_page"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" in the body."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Requires the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"read_admins"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" OAuth scope."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"Intercom-Version","in":"header","schemaId":"schema_1149"}],"pointer":"/paths/~1admins~1activity_logs~1search/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"schema_1155","exampleIds":["paths/~1admins~1activity_logs~1search/post/requestBody/content/application~1json/examples/search_with_event_types","paths/~1admins~1activity_logs~1search/post/requestBody/content/application~1json/examples/search_without_filters"]}},"schemaId":"schema_1155","exampleIds":["paths/~1admins~1activity_logs~1search/post/requestBody/content/application~1json/examples/search_with_event_types","paths/~1admins~1activity_logs~1search/post/requestBody/content/application~1json/examples/search_without_filters"],"pointer":"/paths/~1admins~1activity_logs~1search/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/admins/activity_logs/search","servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[{"name":"Intercom-Version","in":"header","example":"2.18","schemaId":"components/schemas/intercom_version"}],"cookie":[]},"security":[{"schemes":[{"id":"bearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"schema_1155","exampleIds":["paths/~1admins~1activity_logs~1search/post/requestBody/content/application~1json/examples/search_with_event_types","paths/~1admins~1activity_logs~1search/post/requestBody/content/application~1json/examples/search_without_filters"]}},"responseCodes":["200","400","401"],"pointer":"/admins/activity_logs/search","href":"admins/searchactivitylogs","openApiOperationId":"searchActivityLogs","summary":"Search activity logs"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"schemaId":"schema_1155","exampleIds":["paths/~1admins~1activity_logs~1search/post/requestBody/content/application~1json/examples/search_with_event_types","paths/~1admins~1activity_logs~1search/post/requestBody/content/application~1json/examples/search_without_filters"],"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"schema_1155","exampleIds":["paths/~1admins~1activity_logs~1search/post/requestBody/content/application~1json/examples/search_with_event_types","paths/~1admins~1activity_logs~1search/post/requestBody/content/application~1json/examples/search_without_filters"]}},"examples":[{},{}]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successful response","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/activity_log_list","exampleIds":["paths/~1admins~1activity_logs~1search/post/responses/200/content/application~1json/examples/Successful response"]}},"schemaId":"components/schemas/activity_log_list","exampleIds":["paths/~1admins~1activity_logs~1search/post/responses/200/content/application~1json/examples/Successful response"]},{"code":"400","description":"Bad Request","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_logs~1search/post/responses/400/content/application~1json/examples/per_page above 250"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_logs~1search/post/responses/400/content/application~1json/examples/per_page above 250"]},{"code":"401","description":"Unauthorized","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_logs~1search/post/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1activity_logs~1search/post/responses/401/content/application~1json/examples/Token lacks required scope"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_logs~1search/post/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1activity_logs~1search/post/responses/401/content/application~1json/examples/Token lacks required scope"]}],"pointer":"/paths/~1admins~1activity_logs~1search/post/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/activity_log_list","exampleIds":["paths/~1admins~1activity_logs~1search/post/responses/200/content/application~1json/examples/Successful response"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/activity_log_list","exampleIds":["paths/~1admins~1activity_logs~1search/post/responses/200/content/application~1json/examples/Successful response"]}}},{"code":"400","schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_logs~1search/post/responses/400/content/application~1json/examples/per_page above 250"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_logs~1search/post/responses/400/content/application~1json/examples/per_page above 250"]}}},{"code":"401","schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_logs~1search/post/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1activity_logs~1search/post/responses/401/content/application~1json/examples/Token lacks required scope"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_logs~1search/post/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1activity_logs~1search/post/responses/401/content/application~1json/examples/Token lacks required scope"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/admins/searchactivitylogs"}],"panels":[]}]},"httpPath":"/admins/activity_logs/search"},{"label":"List all activity log event types","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/references/rest-api/api.intercom.io/admins/listactivitylogeventtypes","routeSlug":"/docs/references/rest-api/api.intercom.io/admins/listactivitylogeventtypes","metadata":{"seo":{"title":"List all activity log event types","description":"You can get a list of all activity log event types. This is useful for discovering valid values to use with the event_types filter on the Search activity logs endpoint."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"listActivityLogEventTypes","name":"List all activity log event types","isWebhook":false,"pointer":"/paths/~1admins~1activity_log_event_types/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"List all activity log event types","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"You can get a list of all activity log event types. This is useful for discovering valid values to use with the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"event_types"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" filter on the Search activity logs endpoint."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Requires the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"read_admins"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" OAuth scope."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"Intercom-Version","in":"header","schemaId":"schema_1149"}],"pointer":"/paths/~1admins~1activity_log_event_types/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/admins/activity_log_event_types","servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[{"name":"Intercom-Version","in":"header","example":"2.18","schemaId":"components/schemas/intercom_version"}],"cookie":[]},"security":[{"schemes":[{"id":"bearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"responseCodes":["200","401"],"pointer":"/admins/activity_log_event_types","href":"admins/listactivitylogeventtypes","openApiOperationId":"listActivityLogEventTypes","summary":"List all activity log event types"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successful response","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/activity_log_event_type_list","exampleIds":["paths/~1admins~1activity_log_event_types/get/responses/200/content/application~1json/examples/Successful response"]}},"schemaId":"components/schemas/activity_log_event_type_list","exampleIds":["paths/~1admins~1activity_log_event_types/get/responses/200/content/application~1json/examples/Successful response"]},{"code":"401","description":"Unauthorized","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_log_event_types/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1activity_log_event_types/get/responses/401/content/application~1json/examples/Token lacks required scope"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_log_event_types/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1activity_log_event_types/get/responses/401/content/application~1json/examples/Token lacks required scope"]}],"pointer":"/paths/~1admins~1activity_log_event_types/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/activity_log_event_type_list","exampleIds":["paths/~1admins~1activity_log_event_types/get/responses/200/content/application~1json/examples/Successful response"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/activity_log_event_type_list","exampleIds":["paths/~1admins~1activity_log_event_types/get/responses/200/content/application~1json/examples/Successful response"]}}},{"code":"401","schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_log_event_types/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1activity_log_event_types/get/responses/401/content/application~1json/examples/Token lacks required scope"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1activity_log_event_types/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1activity_log_event_types/get/responses/401/content/application~1json/examples/Token lacks required scope"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/admins/listactivitylogeventtypes"}],"panels":[]}]},"httpPath":"/admins/activity_log_event_types"},{"label":"List all admins","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/references/rest-api/api.intercom.io/admins/listadmins","routeSlug":"/docs/references/rest-api/api.intercom.io/admins/listadmins","metadata":{"seo":{"title":"List all admins","description":"You can fetch a list of admins for a given workspace."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"listAdmins","name":"List all admins","isWebhook":false,"pointer":"/paths/~1admins/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"List all admins","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"You can fetch a list of admins for a given workspace."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Requires the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"read_admins"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" OAuth scope."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"display_avatar","in":"query","schemaId":"schema_1156","description":"If set to true, the response will include the admin's avatar object containing the image URL. Defaults to false.","example":true}],"pointer":"/paths/~1admins/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"Intercom-Version","in":"header","schemaId":"schema_1149"}],"pointer":"/paths/~1admins/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/admins","servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"parameters":{"path":[],"query":[{"name":"display_avatar","in":"query","required":false,"example":true,"schemaId":"schema_1156"}],"querystring":[],"header":[{"name":"Intercom-Version","in":"header","example":"2.18","schemaId":"components/schemas/intercom_version"}],"cookie":[]},"security":[{"schemes":[{"id":"bearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"responseCodes":["200","401"],"pointer":"/admins","href":"admins/listadmins","openApiOperationId":"listAdmins","summary":"List all admins"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successful response","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/admin_list","exampleIds":["paths/~1admins/get/responses/200/content/application~1json/examples/Successful response"]}},"schemaId":"components/schemas/admin_list","exampleIds":["paths/~1admins/get/responses/200/content/application~1json/examples/Successful response"]},{"code":"401","description":"Unauthorized","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins/get/responses/401/content/application~1json/examples/Token lacks required scope"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1admins/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins/get/responses/401/content/application~1json/examples/Token lacks required scope"]}],"pointer":"/paths/~1admins/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/admin_list","exampleIds":["paths/~1admins/get/responses/200/content/application~1json/examples/Successful response"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/admin_list","exampleIds":["paths/~1admins/get/responses/200/content/application~1json/examples/Successful response"]}}},{"code":"401","schemaId":"components/schemas/error","exampleIds":["paths/~1admins/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins/get/responses/401/content/application~1json/examples/Token lacks required scope"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins/get/responses/401/content/application~1json/examples/Token lacks required scope"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/admins/listadmins"}],"panels":[]}]},"httpPath":"/admins"},{"label":"Retrieve an admin","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/references/rest-api/api.intercom.io/admins/retrieveadmin","routeSlug":"/docs/references/rest-api/api.intercom.io/admins/retrieveadmin","metadata":{"seo":{"title":"Retrieve an admin","description":"You can retrieve the details of a single admin."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"retrieveAdmin","name":"Retrieve an admin","isWebhook":false,"pointer":"/paths/~1admins~1{admin_id}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Retrieve an admin","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"You can retrieve the details of a single admin."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Requires the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"read_single_admin"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" or "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"read_admins"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" OAuth scope."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"admin_id","in":"path","schemaId":"schema_1150","description":"The unique identifier of a given admin","required":true,"example":123}],"pointer":"/paths/~1admins~1{admin_id}/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"Intercom-Version","in":"header","schemaId":"schema_1149"}],"pointer":"/paths/~1admins~1{admin_id}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/admins/{admin_id}","servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"parameters":{"path":[{"name":"admin_id","in":"path","required":true,"example":123,"schemaId":"schema_1150"}],"query":[],"querystring":[],"header":[{"name":"Intercom-Version","in":"header","example":"2.18","schemaId":"components/schemas/intercom_version"}],"cookie":[]},"security":[{"schemes":[{"id":"bearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"responseCodes":["200","401","404"],"pointer":"/admins/{admin_id}","href":"admins/retrieveadmin","openApiOperationId":"retrieveAdmin","summary":"Retrieve an admin"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Admin found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/admin","exampleIds":["paths/~1admins~1{admin_id}/get/responses/200/content/application~1json/examples/Admin found"]}},"schemaId":"components/schemas/admin","exampleIds":["paths/~1admins~1{admin_id}/get/responses/200/content/application~1json/examples/Admin found"]},{"code":"401","description":"Unauthorized","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1{admin_id}/get/responses/401/content/application~1json/examples/Token lacks required scope"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1{admin_id}/get/responses/401/content/application~1json/examples/Token lacks required scope"]},{"code":"404","description":"Admin not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}/get/responses/404/content/application~1json/examples/Admin not found"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}/get/responses/404/content/application~1json/examples/Admin not found"]}],"pointer":"/paths/~1admins~1{admin_id}/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/admin","exampleIds":["paths/~1admins~1{admin_id}/get/responses/200/content/application~1json/examples/Admin found"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/admin","exampleIds":["paths/~1admins~1{admin_id}/get/responses/200/content/application~1json/examples/Admin found"]}}},{"code":"401","schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1{admin_id}/get/responses/401/content/application~1json/examples/Token lacks required scope"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1admins~1{admin_id}/get/responses/401/content/application~1json/examples/Token lacks required scope"]}}},{"code":"404","schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}/get/responses/404/content/application~1json/examples/Admin not found"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1{admin_id}/get/responses/404/content/application~1json/examples/Admin not found"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/admins/retrieveadmin"}],"panels":[]}]},"httpPath":"/admins/{admin_id}"},{"label":"Remove an admin","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/references/rest-api/api.intercom.io/admins/removeadmin","routeSlug":"/docs/references/rest-api/api.intercom.io/admins/removeadmin","metadata":{"seo":{"title":"Remove an admin","description":"You can remove a single admin (teammate) from your workspace.Requires the remove_admins OAuth scope."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"removeAdmin","name":"Remove an admin","isWebhook":false,"pointer":"/paths/~1admins~1remove/delete","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Remove an admin","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"You can remove a single admin (teammate) from your workspace."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Requires the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"remove_admins"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" OAuth scope."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"This removes the admin's access to the workspace. In most cases their"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"work is reassigned to the IDs given in the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"reassign_*"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" parameters. In"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"workspaces with more than one seat type, no reassignment happens if the"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"admin has no seat, a Collaborator seat or a Lite seat."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"admin_id","in":"query","schemaId":"schema_1150","description":"The unique identifier of the admin to remove.","required":true,"example":123},{"name":"reassign_messages_admin_id","in":"query","schemaId":"schema_1150","description":"The unique identifier of a human admin to reassign the removed admin's auto-message ownership to.","required":true,"example":456},{"name":"reassign_owner_admin_id","in":"query","schemaId":"schema_1150","description":"The unique identifier of a human admin to reassign the removed admin's ownership (of users and leads) to.","required":true,"example":456},{"name":"reassign_articles_author_id","in":"query","schemaId":"schema_1150","description":"The unique identifier of a human admin to reassign the removed admin's article authorship to.","required":true,"example":456},{"name":"reassign_conversations_admin_id","in":"query","schemaId":"schema_1150","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The ID of an admin with Inbox access, or a team, to reassign the removed admin's conversation replies to. Pass "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"0"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" to leave conversations unassigned."},"children":[]}]}]}],"required":true,"example":456},{"name":"reassign_replies_teams","in":"query","schemaId":"schema_1157","description":"A list of teams and the admin each team's conversation replies should be reassigned to."}],"pointer":"/paths/~1admins~1remove/delete/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"Intercom-Version","in":"header","schemaId":"schema_1149"}],"pointer":"/paths/~1admins~1remove/delete/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"DELETE","path":"/admins/remove","servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"parameters":{"path":[],"query":[{"name":"admin_id","in":"query","required":true,"example":123,"schemaId":"schema_1150"},{"name":"reassign_messages_admin_id","in":"query","required":true,"example":456,"schemaId":"schema_1150"},{"name":"reassign_owner_admin_id","in":"query","required":true,"example":456,"schemaId":"schema_1150"},{"name":"reassign_articles_author_id","in":"query","required":true,"example":456,"schemaId":"schema_1150"},{"name":"reassign_conversations_admin_id","in":"query","required":true,"example":456,"schemaId":"schema_1150"},{"name":"reassign_replies_teams","in":"query","required":false,"schemaId":"schema_1157"}],"querystring":[],"header":[{"name":"Intercom-Version","in":"header","example":"2.18","schemaId":"components/schemas/intercom_version"}],"cookie":[]},"security":[{"schemes":[{"id":"bearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"responseCodes":["200","401","403","404","405"],"pointer":"/admins/remove","href":"admins/removeadmin","openApiOperationId":"removeAdmin","summary":"Remove an admin"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successful response","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_1158","exampleIds":["paths/~1admins~1remove/delete/responses/200/content/application~1json/examples/Successful response"]}},"schemaId":"schema_1158","exampleIds":["paths/~1admins~1remove/delete/responses/200/content/application~1json/examples/Successful response"]},{"code":"401","description":"Unauthorized","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1remove/delete/responses/401/content/application~1json/examples/Unauthorized"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1remove/delete/responses/401/content/application~1json/examples/Unauthorized"]},{"code":"403","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Forbidden. Returned when "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"reassign_conversations_admin_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" refers to an admin without Inbox access for the workspace. This includes teammates with a Lite seat."},"children":[]}]}]}],"mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1remove/delete/responses/403/content/application~1json/examples/Forbidden"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1remove/delete/responses/403/content/application~1json/examples/Forbidden"]},{"code":"404","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Admin not found. A "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"reassign_conversations_admin_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" that is missing, or doesn't match an admin or team, returns "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"404"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" with the code "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"not_found"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and the message \"Resource Not Found\"."},"children":[]}]}]}],"mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1remove/delete/responses/404/content/application~1json/examples/Admin not found"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1remove/delete/responses/404/content/application~1json/examples/Admin not found"]},{"code":"405","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Method Not Allowed. Returned when "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"admin_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"reassign_messages_admin_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"reassign_owner_admin_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" or "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"reassign_articles_author_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" refers to a bot. A team ID in any of these four parameters returns "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"404"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1remove/delete/responses/405/content/application~1json/examples/Method Not Allowed"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1remove/delete/responses/405/content/application~1json/examples/Method Not Allowed"]}],"pointer":"/paths/~1admins~1remove/delete/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"schema_1158","exampleIds":["paths/~1admins~1remove/delete/responses/200/content/application~1json/examples/Successful response"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_1158","exampleIds":["paths/~1admins~1remove/delete/responses/200/content/application~1json/examples/Successful response"]}}},{"code":"401","schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1remove/delete/responses/401/content/application~1json/examples/Unauthorized"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1remove/delete/responses/401/content/application~1json/examples/Unauthorized"]}}},{"code":"403","schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1remove/delete/responses/403/content/application~1json/examples/Forbidden"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1remove/delete/responses/403/content/application~1json/examples/Forbidden"]}}},{"code":"404","schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1remove/delete/responses/404/content/application~1json/examples/Admin not found"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1remove/delete/responses/404/content/application~1json/examples/Admin not found"]}}},{"code":"405","schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1remove/delete/responses/405/content/application~1json/examples/Method Not Allowed"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1admins~1remove/delete/responses/405/content/application~1json/examples/Method Not Allowed"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/admins/removeadmin"}],"panels":[]}]},"httpPath":"/admins/remove"},{"type":"link","label":"Activity Log Event Types","link":"/docs/references/rest-api/api.intercom.io/admins/activity_log_event_type_list","routeSlug":"/docs/references/rest-api/api.intercom.io/admins/activity_log_event_type_list","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"activity_log_event_type_list"},"seo":{"title":"Activity Log Event Types"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Activity Log Event Types","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/activity_log_event_type_list"},"children":[]}]}]}},{"type":"link","label":"Admin","link":"/docs/references/rest-api/api.intercom.io/admins/admin","routeSlug":"/docs/references/rest-api/api.intercom.io/admins/admin","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"admin"},"seo":{"title":"Admin"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Admin","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/admin"},"children":[]}]}]}}],"content":{"contentType":"group","meta":{"name":"Admins"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Admins","showPageActions":true},{"nodeType":"markdoc","content":"Everything about your Admins"}],"panels":[{"children":[{"kind":"group-items","title":"Schemas","titleTranslationKey":"schemas","items":[{"title":"Activity Log Event Types","link":"/admins/activity_log_event_type_list","deprecated":false},{"title":"Admin","link":"/admins/admin","deprecated":false}]},{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/me","summary":"Identify an admin","prefix":{"name":"get","color":"get"},"badges":[],"link":"/admins/identifyadmin","deprecated":false},{"title":"/admins/{admin_id}/away","summary":"Set an admin to away","prefix":{"name":"put","color":"put"},"badges":[],"link":"/admins/setawayadmin","deprecated":false},{"title":"/admins/activity_logs","summary":"List all activity logs","prefix":{"name":"get","color":"get"},"badges":[],"link":"/admins/listactivitylogs","deprecated":false},{"title":"/admins/activity_logs/search","summary":"Search activity logs","prefix":{"name":"post","color":"post"},"badges":[],"link":"/admins/searchactivitylogs","deprecated":false},{"title":"/admins/activity_log_event_types","summary":"List all activity log event types","prefix":{"name":"get","color":"get"},"badges":[],"link":"/admins/listactivitylogeventtypes","deprecated":false},{"title":"/admins","summary":"List all admins","prefix":{"name":"get","color":"get"},"badges":[],"link":"/admins/listadmins","deprecated":false},{"title":"/admins/{admin_id}","summary":"Retrieve an admin","prefix":{"name":"get","color":"get"},"badges":[],"link":"/admins/retrieveadmin","deprecated":false},{"title":"/admins/remove","summary":"Remove an admin","prefix":{"name":"delete","color":"delete"},"badges":[],"link":"/admins/removeadmin","deprecated":false}]}]}]}]}},{"type":"group","label":"AI Content","link":"/docs/references/rest-api/api.intercom.io/ai-content","routeSlug":"/docs/references/rest-api/api.intercom.io/ai-content","items":[{"label":"List content import sources","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/references/rest-api/api.intercom.io/ai-content/listcontentimportsources","routeSlug":"/docs/references/rest-api/api.intercom.io/ai-content/listcontentimportsources","metadata":{"seo":{"title":"List content import sources","description":"You can retrieve a list of all content import sources for a workspace."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"listContentImportSources","name":"List content import sources","isWebhook":false,"pointer":"/paths/~1ai~1content_import_sources/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"List content import sources","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"You can retrieve a list of all content import sources for a workspace."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"total_count"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" and "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"pages.total_pages"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" are worked out from every content import source in the workspace, including deleted ones that the list leaves out, so both can be higher than the number of sources you get back across all pages. The last pages can be short or empty."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"OAuth tokens must have the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"read_write_ai_content"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" scope."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"page","in":"query","schemaId":"schema_1159","description":"The page of results to fetch. Defaults to the first page.","example":1},{"name":"per_page","in":"query","schemaId":"schema_1160","description":"The number of results to return per page. Maximum 150.","example":50}],"pointer":"/paths/~1ai~1content_import_sources/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"Intercom-Version","in":"header","schemaId":"schema_1149"}],"pointer":"/paths/~1ai~1content_import_sources/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/ai/content_import_sources","servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"parameters":{"path":[],"query":[{"name":"page","in":"query","example":1,"schemaId":"schema_1159"},{"name":"per_page","in":"query","example":50,"schemaId":"schema_1160"}],"querystring":[],"header":[{"name":"Intercom-Version","in":"header","example":"2.18","schemaId":"components/schemas/intercom_version"}],"cookie":[]},"security":[{"schemes":[{"id":"bearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"responseCodes":["200","400","401"],"pointer":"/ai/content_import_sources","href":"ai-content/listcontentimportsources","openApiOperationId":"listContentImportSources","summary":"List content import sources"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"successful","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/content_import_sources_list","exampleIds":["paths/~1ai~1content_import_sources/get/responses/200/content/application~1json/examples/successful"]}},"schemaId":"components/schemas/content_import_sources_list","exampleIds":["paths/~1ai~1content_import_sources/get/responses/200/content/application~1json/examples/successful"]},{"code":"400","description":"Bad request","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1ai~1content_import_sources/get/responses/400/content/application~1json/examples/Invalid page","paths/~1ai~1content_import_sources/get/responses/400/content/application~1json/examples/Page size too large"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1ai~1content_import_sources/get/responses/400/content/application~1json/examples/Invalid page","paths/~1ai~1content_import_sources/get/responses/400/content/application~1json/examples/Page size too large"]},{"code":"401","description":"Unauthorized","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1ai~1content_import_sources/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1ai~1content_import_sources/get/responses/401/content/application~1json/examples/Token lacks required scope"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1ai~1content_import_sources/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1ai~1content_import_sources/get/responses/401/content/application~1json/examples/Token lacks required scope"]}],"pointer":"/paths/~1ai~1content_import_sources/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/content_import_sources_list","exampleIds":["paths/~1ai~1content_import_sources/get/responses/200/content/application~1json/examples/successful"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/content_import_sources_list","exampleIds":["paths/~1ai~1content_import_sources/get/responses/200/content/application~1json/examples/successful"]}}},{"code":"400","schemaId":"components/schemas/error","exampleIds":["paths/~1ai~1content_import_sources/get/responses/400/content/application~1json/examples/Invalid page","paths/~1ai~1content_import_sources/get/responses/400/content/application~1json/examples/Page size too large"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1ai~1content_import_sources/get/responses/400/content/application~1json/examples/Invalid page","paths/~1ai~1content_import_sources/get/responses/400/content/application~1json/examples/Page size too large"]}}},{"code":"401","schemaId":"components/schemas/error","exampleIds":["paths/~1ai~1content_import_sources/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1ai~1content_import_sources/get/responses/401/content/application~1json/examples/Token lacks required scope"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1ai~1content_import_sources/get/responses/401/content/application~1json/examples/Unauthorized","paths/~1ai~1content_import_sources/get/responses/401/content/application~1json/examples/Token lacks required scope"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/ai-content/listcontentimportsources"}],"panels":[]}]},"httpPath":"/ai/content_import_sources"},{"label":"Create a content import source","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/references/rest-api/api.intercom.io/ai-content/createcontentimportsource","routeSlug":"/docs/references/rest-api/api.intercom.io/ai-content/createcontentimportsource","metadata":{"seo":{"title":"Create a content import source","description":"You can create a new content import source by sending a POST request to this endpoint."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"createContentImportSource","name":"Create a content import source","isWebhook":false,"pointer":"/paths/~1ai~1content_import_sources/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create a content import source","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"You can create a new content import source by sending a POST request to this endpoint."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"OAuth tokens must have the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"read_write_ai_content"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" scope."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"Intercom-Version","in":"header","schemaId":"schema_1149"}],"pointer":"/paths/~1ai~1content_import_sources/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/create_content_import_source_request","exampleIds":["paths/~1ai~1content_import_sources/post/requestBody/content/application~1json/examples/successful"]}},"schemaId":"components/schemas/create_content_import_source_request","exampleIds":["paths/~1ai~1content_import_sources/post/requestBody/content/application~1json/examples/successful"],"pointer":"/paths/~1ai~1content_import_sources/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/ai/content_import_sources","servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[{"name":"Intercom-Version","in":"header","example":"2.18","schemaId":"components/schemas/intercom_version"}],"cookie":[]},"security":[{"schemes":[{"id":"bearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/create_content_import_source_request","exampleIds":["paths/~1ai~1content_import_sources/post/requestBody/content/application~1json/examples/successful"]}},"responseCodes":["200","400","401"],"pointer":"/ai/content_import_sources","href":"ai-content/createcontentimportsource","openApiOperationId":"createContentImportSource","summary":"Create a content import source"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.intercom.io","description":"The production API server"},{"url":"https://api.eu.intercom.io","description":"The european API server"},{"url":"https://api.au.intercom.io","description":"The australian API server"}],"schemaId":"components/schemas/create_content_import_source_request","exampleIds":["paths/~1ai~1content_import_sources/post/requestBody/content/application~1json/examples/successful"],"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/create_content_import_source_request","exampleIds":["paths/~1ai~1content_import_sources/post/requestBody/content/application~1json/examples/successful"]}},"examples":[{}]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"successful","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/content_import_source","exampleIds":["paths/~1ai~1content_import_sources/post/responses/200/content/application~1json/examples/successful"]}},"schemaId":"components/schemas/content_import_source","exampleIds":["paths/~1ai~1content_import_sources/post/responses/200/content/application~1json/examples/successful"]},{"code":"400","description":"Bad request","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1ai~1content_import_sources/post/responses/400/content/application~1json/examples/Missing parameter","paths/~1ai~1content_import_sources/post/responses/400/content/application~1json/examples/Invalid URL","paths/~1ai~1content_import_sources/post/responses/400/content/application~1json/examples/Sync behavior must be api","paths/~1ai~1content_import_sources/post/responses/400/content/application~1json/examples/Invalid audience IDs"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1ai~1content_import_sources/post/responses/400/content/application~1json/examples/Missing parameter","paths/~1ai~1content_import_sources/post/responses/400/content/application~1json/examples/Invalid URL","paths/~1ai~1content_import_sources/post/responses/400/content/application~1json/examples/Sync behavior must be api","paths/~1ai~1content_import_sources/post/responses/400/content/application~1json/examples/Invalid audience IDs"]},{"code":"401","description":"Unauthorized","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/error","exampleIds":["paths/~1ai~1content_import_sources/post/responses/401/content/application~1json/examples/Unauthorized","paths/~1ai~1content_import_sources/post/responses/401/content/application~1json/examples/Token lacks required scope"]}},"schemaId":"components/schemas/error","exampleIds":["paths/~1ai~1content_import_sources/post/responses/401/content/application~1json/examples/Unauthorized","paths/~1ai~1content_import_sources/post/responses/401/content/application~1json/examples/Token lacks required scope"]}],"pointer":"/paths/~1ai~1content_import_sources/post/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/content_import_source","exampleIds":["paths/~1ai~1content_import_sources/post/responses/200/content/application~1json/examples/successful"],"mediaTypes"
[...]
